<?php

/*
------------------------------------------
Подгрузка компонентов
Позводяет не заморачиваться над внедрением
нового содержимого в панель
------------------------------------------
*/

//Для левой панели
FUNCTION CLOAD_LEFT($title, $title_bottom, $link, $icon, $path, $number, $class) {
  
  GLOBAL $panel_lang;
  
  //$title - заголовок блока
  //$title_bottom - заголовок нижней кнопки
  //$link - ссылка на сам раздел
  //$icon - иконка рядом с заголовком
  //$path - путь откуда подгружать компоненты
  //$number - количество компонентов, которые будут выводиться в блоке
  //$class - стиль блоков
  
  ECHO "<div class='panel-left-menu'>";
  
  ECHO "<a href='".$link."'><div class='panel-left-menu-title'>";
  ECHO ICONS(''.$icon.'', 18, 'fa-fw');
  ECHO " ".LG($title)."";
  ECHO "</div></a>";
  
  //Выводим компоненты
  $file = SCANDIR(ROOT.''.$path.'', SCANDIR_SORT_ASCENDING);
  
  $num_path = $number + 1;
  
  FOR ($i = 0; $i < COUNT($file); $i++){
    
    IF ($i <= $num_path){
      
      IF (PREG_MATCH('#\.php$#i',$file[$i]))
      {
        
        REQUIRE (ROOT.''.$path.''.$file[$i]);
      
      }
      
    }
    
  }
  
  ECHO "<a href='$link'><div class='panel-left-menu-button'>";
  ECHO TEXT_ABSOLUTE(LG($title_bottom));
  ECHO ICONS('chevron-right', 14, 'fa-fw');
  ECHO "</div></a>";
  
  ECHO "</div>";

}

//Для центральной части панели
FUNCTION CLOAD_CENTER($path, $class) {
  
  GLOBAL $panel_lang;

  //$path - путь откуда подгружать компоненты
  //$class - стиль блоков
  
  //Выводим компоненты
  $result = SCANDIR(ROOT.''.$path.'', SCANDIR_SORT_ASCENDING);
  
  ECHO "<div class='fon2'>";
  
  $s = 0;
  
  FOR ($i = 0; $i < COUNT($result); $i++){
 
    IF (PREG_MATCH('#\.php$#i',$result[$i]))
    { 
      
      $s++;
      
      REQUIRE (ROOT.''.$path.''.$result[$i]);
      
    }
    
  }
  
  IF ($s == 0){
    
    HTML::EMPTY();
  
  }
  
  ECHO "</div>";

}

//Для рабочего стола
FUNCTION CLOAD_DESKTOP($path) {
  
  GLOBAL $panel_lang;
  
  //$path - путь откуда подгружать компоненты
  
  //Выводим компоненты
  $result = SCANDIR(ROOT.''.$path.'', SCANDIR_SORT_ASCENDING);
  
  FOR ($i = 0; $i < COUNT($result); $i++){
    
    IF (PREG_MATCH('#\.php$#i',$result[$i]))
    {  
      
      REQUIRE (ROOT.''.$path.''.$result[$i]);
      
    }
    
  }

}
  
?>